Human Design
AstroWay API में 12 Human Design endpoints हैं - वाणिज्यिक APIs में HD का सबसे गहरा कवरेज। मुख्य endpoint POST /v1/human-design पूरी चार्ट देता है। कीमत: 50 क्रेडिट (Tier 3)।
12 HD endpoints
Section titled “12 HD endpoints”| Endpoint | Credits | Returns |
|---|---|---|
/v1/human-design | 50 | Full HD chart: type, strategy, authority, channels, centers, profile |
/v1/human-design/transits | 50 | HD transits for a given date |
/v1/human-design/compatibility | 100 | Compatibility of two HD charts |
/v1/hd/incarnation-cross | 50 | Incarnation Cross |
/v1/hd/dream-rave | 50 | Dream Rave chart |
/v1/hd/hologenetic | 50 | Hologenetic Profile |
/v1/hd/sensitivity | 50 | Time sensitivity (how much birth time changes affect the chart) |
/v1/hd/circuitry | 20 | Circuitry analysis |
/v1/hd/penta | 100 | Penta (group dynamics of 3-5 people) |
/v1/hd/group-overlay | 100 | Group overlay |
/v1/hd/design-date | 10 | Design Date (88° Sun before birth) |
/v1/hd/rave-new-years | 10 | Rave New Year dates |
Request Example
Section titled “Request Example”Parameters are the same as for /v1/chart:
curl -X POST https://api.astroway.info/v1/human-design \ -H "X-Api-Key: aw_live_your_key_here" \ -H "Content-Type: application/json" \ -d '{ "date": "1990-07-14", "time": "14:30:00", "timezoneOffset": 3, "latitude": 50.4501, "longitude": 30.5234 }'const res = await fetch('https://api.astroway.info/v1/human-design', { method: 'POST', headers: { 'Content-Type': 'application/json', 'X-Api-Key': process.env.ASTROWAY_API_KEY!, }, body: JSON.stringify({ date: '1990-07-14', time: '14:30:00', timezoneOffset: 3, latitude: 50.4501, longitude: 30.5234, }),});const { data: hd } = await res.json();console.log(hd.type); // e.g. "Generator"console.log(hd.strategy); // e.g. "To Respond"console.log(hd.authority); // e.g. "Sacral"console.log(hd.profile); // e.g. "1/3"import os, requests
r = requests.post( 'https://api.astroway.info/v1/human-design', headers={'X-Api-Key': os.environ['ASTROWAY_API_KEY'], 'Content-Type': 'application/json'}, json={ 'date': '1990-07-14', 'time': '14:30:00', 'timezoneOffset': 3, 'latitude': 50.4501, 'longitude': 30.5234, },)hd = r.json()['data']print(hd['type']) # e.g. "Generator"print(hd['strategy']) # e.g. "To Respond"print(hd['authority']) # e.g. "Sacral"print(hd['channels']) # List of defined channels<?phpuse GuzzleHttp\Client;
$client = new Client(['base_uri' => 'https://api.astroway.info/v1/']);$r = $client->post('human-design', [ 'headers' => ['X-Api-Key' => getenv('ASTROWAY_API_KEY')], 'json' => [ 'date' => '1990-07-14', 'time' => '14:30:00', 'timezoneOffset' => 3, 'latitude' => 50.4501, 'longitude' => 30.5234, ],]);
$hd = json_decode($r->getBody(), true)['data'];echo $hd['type']; // e.g. "Generator"echo $hd['strategy']; // e.g. "To Respond"echo $hd['authority']; // e.g. "Sacral"echo $hd['profile']; // e.g. "1/3"Response Example
Section titled “Response Example”{ "input": { "name": "", "date": "1990-07-14", "time": "14:30:00", "timezoneOffset": 3, "latitude": 50.4501, "longitude": 30.5234, "houseSystem": "P", "city": "", "cosmogram": false }, "type": "Generator", "strategy": "Wait for the Sacral Response", "notSelfTheme": "Frustration", "authority": "Emotional (Solar Plexus)", "profile": { "profile": "2/4", "personalityLine": 2, "designLine": 4, "geometry": "Right Angle" }, "definition": "Split", "cross": { "name": "Right Angle Cross of The Maya", "type": "RAC", "gates": [ 62, 61, 42, 32 ] }, "centers": [ { "name": "Head", "defined": true, "open": false, "gates": [ 61, 63, 64 ], "activeGates": [ 61 ] }, { "name": "Ajna", "defined": true, "open": false, "gates": [ 4, 11, 17, 24, 43, 47 ], "activeGates": [ 17, 24 ] } ], "channels": [ { "gate1": 7, "gate2": 31, "centerA": "G", "centerB": "Throat", "activatedBy": [ "personality", "design" ] } ], "personalityActivations": [ { "planet": "Sun", "planetId": 0, "gate": 62, "line": 2, "color": 1, "tone": 4, "base": 2, "longitude": 111.77244, "isPersonality": true } ], "designActivations": [ { "planet": "Sun", "planetId": 0, "gate": 42, "line": 4, "color": 2, "tone": 3, "base": 1, "longitude": 23.772448, "isPersonality": false } ], "designJd": 2447995.484294, "personalityJd": 2448086.979167}Response Key Fields
Section titled “Response Key Fields”| Field | Type | Description |
|---|---|---|
type | string | Manifestor, Generator, Generator Xing (MG), Projector, Reflector |
strategy | string | Decision-making strategy |
authority | string | Inner authority |
profile | object | Profile: profile.profile is a pair (e.g. "1/3"), plus personalityLine, designLine and geometry |
definition | string | Single, Split, Triple Split, Quadruple Split or None |
cross | object | Incarnation Cross (name, quarter, 4 gates) |
centers | array | 9 centers with defined/open flag |
channels | array | Defined channels |
personalityActivations | array | 13 Personality activations (conscious) |
designActivations | array | 13 Design activations (unconscious) |
Chart Texts
Section titled “Chart Texts”GET /v1/public/human-design/texts?lang=uk works without a key and returns our reference texts for everything the chart names: five types (description, strategy, signature, not-self theme), eight authorities, five types of definition, twelve profiles, six lines, nine centers with separate text for defined and open, 36 channels and 64 gates, in 21 languages. Download once per language and get texts by identifiers from the chart response:
const chart = (await post('/v1/human-design', birth)).data;const t = (await (await fetch('https://api.astroway.info/v1/public/human-design/texts?lang=uk')).json()).data;
t.types[chart.type].summary; // "Проектор тут, щоб ясно бачити інших..."t.authorities[chart.authority].text;t.profiles[chart.profile.profile];t.centers.Sacral[chart.centers.find((c) => c.name === 'Sacral').defined ? 'defined' : 'open'];t.channels[`${Math.min(ch.gate1, ch.gate2)}-${Math.max(ch.gate1, ch.gate2)}`].text;gateLines[gate][line] contains 384 gate lines. Incarnation Crosses are not yet available here.
- Natal chart: basic request
- Synastry: compatibility of two charts
- Transits: transit overlay
- API reference: all 771 endpoints
उपयोगी रहा?
फीडबैक के लिए धन्यवाद।